package com.alipay.api.domain;

import com.alipay.api.AlipayObject;
import com.alipay.api.internal.mapping.ApiField;

/**
 * 商户券详情类
 *
 * @author auto create
 * @since 1.0, 2015-03-16 10:42:29
 */
public class Ticket extends AlipayObject {

	private static final long serialVersionUID = 2372433923476396637L;

	/**
	 * 可优惠面额，
券初始优惠金额
格式：浮点类型数字
精度：精确到小数点后2位
	 */
	@ApiField("available_amount")
	private String availableAmount;

	/**
	 * 是否可转赠标识，
1 支持退款
0 不支持退款
	 */
	@ApiField("donate_flag")
	private String donateFlag;

	/**
	 * 扩展信息，以json形式存储
	 */
	@ApiField("ext_prop")
	private String extProp;

	/**
	 * 有效期开始时间，格式为yyyy-MM-dd HH:mm:ss
	 */
	@ApiField("gmt_active")
	private String gmtActive;

	/**
	 * 创建(领取)时间，格式为yyyy-MM-dd HH:mm:ss
	 */
	@ApiField("gmt_create")
	private String gmtCreate;

	/**
	 * 有效期结束时间，格式为yyyy-MM-dd HH:mm:ss
	 */
	@ApiField("gmt_expired")
	private String gmtExpired;

	/**
	 * 券使用说明
	 */
	@ApiField("instructions")
	private String instructions;

	/**
	 * 券详情说明
	 */
	@ApiField("memo")
	private String memo;

	/**
	 * 商户id，券所属商户，
在支付宝的partnerId
	 */
	@ApiField("merchant_uniq_id")
	private String merchantUniqId;

	/**
	 * 券名称
	 */
	@ApiField("name")
	private String name;

	/**
	 * 是否可退款标识，
标识：
1 支持退款
0 不支持退款
	 */
	@ApiField("refund_flag")
	private String refundFlag;

	/**
	 * 券状态信息，
目前状态主要有以下几种：
 VALID：可使用
 WRITED_OFF：已核销,
 EXPIRED：已过期
 CLOSED：已关闭
	 */
	@ApiField("status")
	private String status;

	/**
	 * 券模板编号
	 */
	@ApiField("template_no")
	private String templateNo;

	/**
	 * 券编号
	 */
	@ApiField("ticket_no")
	private String ticketNo;

	/**
	 * 券类型，
表示券的种类：
 TICKET：优惠券
 EXCANGE：兑换券
	 */
	@ApiField("ticket_type")
	private String ticketType;

	public String getAvailableAmount() {
		return this.availableAmount;
	}
	public void setAvailableAmount(String availableAmount) {
		this.availableAmount = availableAmount;
	}

	public String getDonateFlag() {
		return this.donateFlag;
	}
	public void setDonateFlag(String donateFlag) {
		this.donateFlag = donateFlag;
	}

	public String getExtProp() {
		return this.extProp;
	}
	public void setExtProp(String extProp) {
		this.extProp = extProp;
	}

	public String getGmtActive() {
		return this.gmtActive;
	}
	public void setGmtActive(String gmtActive) {
		this.gmtActive = gmtActive;
	}

	public String getGmtCreate() {
		return this.gmtCreate;
	}
	public void setGmtCreate(String gmtCreate) {
		this.gmtCreate = gmtCreate;
	}

	public String getGmtExpired() {
		return this.gmtExpired;
	}
	public void setGmtExpired(String gmtExpired) {
		this.gmtExpired = gmtExpired;
	}

	public String getInstructions() {
		return this.instructions;
	}
	public void setInstructions(String instructions) {
		this.instructions = instructions;
	}

	public String getMemo() {
		return this.memo;
	}
	public void setMemo(String memo) {
		this.memo = memo;
	}

	public String getMerchantUniqId() {
		return this.merchantUniqId;
	}
	public void setMerchantUniqId(String merchantUniqId) {
		this.merchantUniqId = merchantUniqId;
	}

	public String getName() {
		return this.name;
	}
	public void setName(String name) {
		this.name = name;
	}

	public String getRefundFlag() {
		return this.refundFlag;
	}
	public void setRefundFlag(String refundFlag) {
		this.refundFlag = refundFlag;
	}

	public String getStatus() {
		return this.status;
	}
	public void setStatus(String status) {
		this.status = status;
	}

	public String getTemplateNo() {
		return this.templateNo;
	}
	public void setTemplateNo(String templateNo) {
		this.templateNo = templateNo;
	}

	public String getTicketNo() {
		return this.ticketNo;
	}
	public void setTicketNo(String ticketNo) {
		this.ticketNo = ticketNo;
	}

	public String getTicketType() {
		return this.ticketType;
	}
	public void setTicketType(String ticketType) {
		this.ticketType = ticketType;
	}

}
