package com.alipay.api.request;

import java.util.List;
import java.util.Map;

import com.alipay.api.AlipayRequest;
import com.alipay.api.internal.util.AlipayHashMap;
import com.alipay.api.response.AlipayOfflineMarketShopPublicBindResponse;

/**
 * ALIPAY API: alipay.offline.market.shop.public.bind request
 * 
 * @author auto create
 * @since 1.0, 2015-10-13 19:26:32
 */
public class AlipayOfflineMarketShopPublicBindRequest implements AlipayRequest<AlipayOfflineMarketShopPublicBindResponse> {

	private AlipayHashMap udfParams; // add user-defined text parameters
	private String apiVersion="1.0";

	/** 
	* 是否绑定所有门店，T表示所有门店，F表示不是所有门店
	 */
	private String isAll;

	/** 
	* 门店ID列表，一次最多绑定100个门店，is_all为F时必须
	 */
	private List<String> shopIds;

	public void setIsAll(String isAll) {
		this.isAll = isAll;
	}
	public String getIsAll() {
		return this.isAll;
	}

	public void setShopIds(List<String> shopIds) {
		this.shopIds = shopIds;
	}
	public List<String> getShopIds() {
		return this.shopIds;
	}
	private String terminalType;
	private String terminalInfo;	
	private String prodCode;
	private String notifyUrl;

	public String getNotifyUrl() {
		return this.notifyUrl;
	}

	public void setNotifyUrl(String notifyUrl) {
		this.notifyUrl = notifyUrl;
	}

	public String getApiVersion() {
		return this.apiVersion;
	}

	public void setApiVersion(String apiVersion) {
		this.apiVersion = apiVersion;
	}

	public void setTerminalType(String terminalType){
		this.terminalType=terminalType;
	}

    public String getTerminalType(){
    	return this.terminalType;
    }

    public void setTerminalInfo(String terminalInfo){
    	this.terminalInfo=terminalInfo;
    }

    public String getTerminalInfo(){
    	return this.terminalInfo;
    }	

	public void setProdCode(String prodCode) {
		this.prodCode=prodCode;
	}

	public String getProdCode() {
		return this.prodCode; 
	}

	public String getApiMethodName() {
		return "alipay.offline.market.shop.public.bind";
	}

	public Map<String, String> getTextParams() {		
		AlipayHashMap txtParams = new AlipayHashMap();
		txtParams.put("is_all", this.isAll);
		txtParams.put("shop_ids", this.shopIds);
		if(udfParams != null) {
			txtParams.putAll(this.udfParams);
		}
		return txtParams;
	}

	public void putOtherTextParam(String key, String value) {
		if(this.udfParams == null) {
			this.udfParams = new AlipayHashMap();
		}
		this.udfParams.put(key, value);
	}

	public Class<AlipayOfflineMarketShopPublicBindResponse> getResponseClass() {
		return AlipayOfflineMarketShopPublicBindResponse.class;
	}
}
