package com.alipay.api.response;

import java.util.List;
import com.alipay.api.internal.mapping.ApiField;
import com.alipay.api.internal.mapping.ApiListField;
import com.alipay.api.domain.InfoCode;

import com.alipay.api.AlipayResponse;

/**
 * ALIPAY API: alipay.security.risk.rainscore.query response.
 * 
 * @author auto create
 * @since 1.0, 2016-03-24 21:29:09
 */
public class AlipaySecurityRiskRainscoreQueryResponse extends AlipayResponse {

	private static final long serialVersionUID = 3889935295454953376L;

	/** 
	 * 风险解释，即本次RAIN评分中TOP 3风险因子的代码、名称、解释、风险倍数（JSON格式）
	 */
	@ApiListField("infocode")
	@ApiField("info_code")
	private List<InfoCode> infocode;

	/** 
	 * RAIN评分，范围为[0,100]，评分越高风险越大
	 */
	@ApiField("score")
	private Long score;

	public void setInfocode(List<InfoCode> infocode) {
		this.infocode = infocode;
	}
	public List<InfoCode> getInfocode( ) {
		return this.infocode;
	}

	public void setScore(Long score) {
		this.score = score;
	}
	public Long getScore( ) {
		return this.score;
	}

}
