package com.alipay.api.response;

import com.alipay.api.internal.mapping.ApiField;

import com.alipay.api.AlipayResponse;

/**
 * ALIPAY API: alipay.siteprobe.device.info.get response.
 * 
 * @author auto create
 * @since 1.0, 2015-01-22 10:15:04
 */
public class AlipaySiteprobeDeviceInfoGetResponse extends AlipayResponse {

	private static final long serialVersionUID = 8439778345351668289L;

	/** 
	 * 认证ID（可空，白名单必填，OTP不填）
	 */
	@ApiField("auth_id")
	private String authId;

	/** 
	 * 认证类型
	 */
	@ApiField("auth_type")
	private String authType;

	/** 
	 * Mac地址
	 */
	@ApiField("bssid")
	private String bssid;

	/** 
	 * 返回码
	 */
	@ApiField("code")
	private String code;

	/** 
	 * 纬度
	 */
	@ApiField("latitude")
	private String latitude;

	/** 
	 * 经度
	 */
	@ApiField("longitude")
	private String longitude;

	/** 
	 * 返回码描述
	 */
	@ApiField("msg")
	private String msg;

	/** 
	 * 路由器密码
	 */
	@ApiField("password")
	private String password;

	/** 
	 * 店铺Id
	 */
	@ApiField("shop_id")
	private String shopId;

	/** 
	 * WiFi名称
	 */
	@ApiField("ssid")
	private String ssid;

	/** 
	 * 状态，1-上架，0-下架
	 */
	@ApiField("status")
	private String status;

	public void setAuthId(String authId) {
		this.authId = authId;
	}
	public String getAuthId( ) {
		return this.authId;
	}

	public void setAuthType(String authType) {
		this.authType = authType;
	}
	public String getAuthType( ) {
		return this.authType;
	}

	public void setBssid(String bssid) {
		this.bssid = bssid;
	}
	public String getBssid( ) {
		return this.bssid;
	}

	public void setCode(String code) {
		this.code = code;
	}
	public String getCode( ) {
		return this.code;
	}

	public void setLatitude(String latitude) {
		this.latitude = latitude;
	}
	public String getLatitude( ) {
		return this.latitude;
	}

	public void setLongitude(String longitude) {
		this.longitude = longitude;
	}
	public String getLongitude( ) {
		return this.longitude;
	}

	public void setMsg(String msg) {
		this.msg = msg;
	}
	public String getMsg( ) {
		return this.msg;
	}

	public void setPassword(String password) {
		this.password = password;
	}
	public String getPassword( ) {
		return this.password;
	}

	public void setShopId(String shopId) {
		this.shopId = shopId;
	}
	public String getShopId( ) {
		return this.shopId;
	}

	public void setSsid(String ssid) {
		this.ssid = ssid;
	}
	public String getSsid( ) {
		return this.ssid;
	}

	public void setStatus(String status) {
		this.status = status;
	}
	public String getStatus( ) {
		return this.status;
	}

}
