package com.alipay.config;

import com.alipay.api.AlipayApiException;
import com.alipay.api.AlipayClient;
import com.alipay.api.DefaultAlipayClient;
import com.alipay.api.request.AlipayOpenAuthTokenAppQueryRequest;
import com.alipay.api.request.AlipayOpenAuthTokenAppRequest;
import com.alipay.api.request.AlipaySystemOauthTokenRequest;
import com.alipay.api.response.AlipayOpenAuthTokenAppQueryResponse;
import com.alipay.api.response.AlipayOpenAuthTokenAppResponse;
import com.alipay.api.response.AlipaySystemOauthTokenResponse;


public class Run {
	
	//基本的参数配置
	public static final  String ALIPAY_PUBLIC_KEY = "MIGfMA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQDDI6d306Q8fIfCOaTXyiUeJHkrIvYISRcc73s3vF1ZT7XN8RNPwJxo8pWaJMmvyTn9N4HQ632qJBVHf8sxHi/fEsraprwCtzvzQETrNRwVxLO5jVmRGi60j8Ue1efIlzPXV9je9mkjzOmdssymZkh2QhUrCmZYI/FCEa3/cNMW0QIDAQAB";
	public static final  String URL = "https://openapi.alipay.com/gateway.do";
	public static final  String FORMAT = "json";
	public static final  String CHARSET = "utf-8";
	public static final  String sign_type = "RSA";
	//第三方应用的appid
	public static final  String APPID = "您的appid";
	//商户私钥
	public static final  String RSA_RRIVATE_KEY = "您的私钥";
	
	public static void main(String[] args) {
		Run r = new Run(); 
		try {
			//第三方应用授权
			r.AuthTokenApp();
			//网页授权
			//r.AuthToken();
			//第三方应用授权查询
			//r.AuthTokenAppQuery();
		} catch (Exception e) {
			
		}
	}
	/**
	 * alipay.open.auth.token.app (换取应用授权令牌)
	 * @return
	 * @throws AlipayApiException
	 */
		public AlipayOpenAuthTokenAppResponse AuthTokenApp()
		        throws AlipayApiException {
			//支付吧SDK提供的的签名验签方法，商户只需要配置相应参数不需要再进行签名验签操作
			AlipayClient alipayClient = new DefaultAlipayClient(URL,APPID,RSA_RRIVATE_KEY,FORMAT,CHARSET,ALIPAY_PUBLIC_KEY);   	
			AlipayOpenAuthTokenAppRequest request = new AlipayOpenAuthTokenAppRequest();
			//必传的请求参数
		    request.setBizContent(""
		    		+ "{\"grant_type\":\"authorization_code\","
		    		+ "\"code\":\"填写授权的code\","
		    		+"}"
		    		+ "");
		    AlipayOpenAuthTokenAppResponse response = alipayClient.execute(request);
		    //同步返回的结果
		    System.out.println(response.getBody());   
		    return response;  
		}
		
		/**
		 * alipay.open.auth.token.app.query (查询某个应用授权AppAuthToken的授权信息)
		 * @return
		 * @throws AlipayApiException
		 */
		public AlipayOpenAuthTokenAppQueryResponse AuthTokenAppQuery()
		        throws AlipayApiException {
			AlipayClient alipayClient = new DefaultAlipayClient(URL,APPID,RSA_RRIVATE_KEY,FORMAT,CHARSET,ALIPAY_PUBLIC_KEY);   	
			AlipayOpenAuthTokenAppQueryRequest request = new AlipayOpenAuthTokenAppQueryRequest();
		    request.setBizContent("{\"app_auth_token\":\"填写查询的token\"}");
		    AlipayOpenAuthTokenAppQueryResponse response = alipayClient.execute(request);
		    System.out.println(response.getBody());	    
		    return response;  
		}
		
		/**
		 * alipay.system.oauth.token (换取授权访问令牌)网页授权
		 * @return
		 * @throws AlipayApiException
		 */
			public AlipaySystemOauthTokenResponse AuthToken()
			        throws AlipayApiException {
				//支付吧SDK提供的的签名验签方法，商户只需要配置相应参数不需要再进行签名验签操作
				AlipayClient alipayClient = new DefaultAlipayClient(URL,APPID,RSA_RRIVATE_KEY,FORMAT,CHARSET,ALIPAY_PUBLIC_KEY);   	
				AlipaySystemOauthTokenRequest request = new AlipaySystemOauthTokenRequest();
				request.setCode("");
				request.setGrantType("authorization_code");
			    AlipaySystemOauthTokenResponse response = alipayClient.execute(request);
			    //同步返回的结果
			    System.out.println(response.getBody());
			    return response;  
			}

}
